curl --request GET \
--url https://api.hubapi.com/media-bridge/2026-03/{appId}/settings/object-definitions/{mediaType} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.hubapi.com/media-bridge/2026-03/{appId}/settings/object-definitions/{mediaType}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.hubapi.com/media-bridge/2026-03/{appId}/settings/object-definitions/{mediaType}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"objectTypeId": "<string>",
"objectTypeName": "<string>",
"properties": [
{
"objectTypeId": "<string>",
"property": {
"allowedObjectTypes": [
{
"innerId": 123,
"metaTypeId": 123
}
],
"calculated": true,
"canArchive": true,
"canRestore": true,
"createdAt": 123,
"createdUserId": 123,
"currencyPropertyName": "<string>",
"dataSensitivity": "high",
"dateDisplayHint": "absolute",
"deleted": true,
"description": "<string>",
"displayMode": "all_unique_versions",
"displayOrder": 123,
"enforceMultivalueUniqueness": true,
"externalOptions": true,
"externalOptionsReferenceType": "<string>",
"favorited": true,
"favoritedOrder": 123,
"fieldType": "<string>",
"formField": true,
"fromUserId": 123,
"groupName": "<string>",
"hasUniqueValue": true,
"hidden": false,
"hubspotDefined": true,
"isCustomizedDefault": true,
"isMultiValued": true,
"isPartial": true,
"label": "<string>",
"mutableDefinitionNotDeletable": true,
"name": "<string>",
"numberDisplayHint": "currency",
"optionSortStrategy": "ALPHABETICAL",
"options": [
{
"description": "<string>",
"displayOrder": 123,
"doubleData": 123,
"hidden": true,
"label": "<string>",
"readOnly": true,
"value": "<string>"
}
],
"optionsAreMutable": true,
"owningAppId": 123,
"portalId": 123,
"readOnlyDefinition": true,
"readOnlyValue": true,
"referencedObjectType": "ABANDONED_CART",
"searchTextAnalysisMode": "NONE",
"searchableInGlobalSearch": true,
"sensitiveDataCategories": [
"<string>"
],
"showCurrencySymbol": true,
"textDisplayHint": "domain_name",
"type": "bool",
"updatedAt": 123
},
"calculationExpression": {
"operator": "CONSTANT_BOOLEAN",
"propertyName": "<string>",
"value": true
},
"calculationFormula": "<string>",
"definitionSource": {
"type": "GLOBAL",
"name": "<string>"
},
"extensionData": {
"extensionStatusMap": {},
"tags": [
"<string>"
],
"caseChangeTestExtensionData": {
"mood": "ANGRY"
},
"optionDecoratorsExtensionData": {
"optionDecoratorStyle": "LABEL_ONLY",
"optionDecorators": {}
},
"requiredPropertiesExtensionData": {
"isRequiredProperty": true
},
"softRequiredPropertiesExtensionData": {
"isSoftRequiredProperty": true
}
},
"externalOptionsMetaData": {
"filter": {
"includeHelpdeskRoutableTeamsOnly": true,
"includeUnconfirmedUsers": true,
"listProcessingTypes": [
"<string>"
],
"pipelineIds": [
"<string>"
],
"teamIds": [
"<string>"
]
},
"fromObjectId": 123,
"propertyName": "<string>",
"relatedObjectTypeId": "<string>"
},
"fulcrumPortalId": 123,
"fulcrumTimestamp": 123,
"janusGroup": "<string>",
"lookupAssociationSpec": {
"associationSpec": {
"associationCategory": "HUBSPOT_DEFINED",
"associationTypeId": 123
},
"cardinality": "ONE_TO_MANY",
"maxToObjectIds": 123,
"toObjectTypeId": "<string>"
},
"permission": {
"accessLevel": "<string>"
},
"propertyDefinitionSource": {
"type": "GLOBAL",
"name": "<string>"
},
"propertyRequirements": {
"gates": [
"<string>"
],
"operator": "AND",
"scopeNames": [
"<string>"
],
"settings": [
"<string>"
]
},
"rollupExpression": {
"associationTypes": [
{
"associationCategory": "HUBSPOT_DEFINED",
"associationTypeId": 123
}
],
"rollupOperator": "AVERAGE",
"sourceObjectTypeId": "<string>",
"sourcePropertyName": "<string>",
"conditionalExpression": {
"operator": "CONSTANT_BOOLEAN",
"propertyName": "<string>",
"value": true
},
"conditionalFormula": "<string>",
"emptyRollupValue": "<string>",
"sourceCompareByPropertyName": "<string>"
}
}
],
"propertyGroups": [
{
"displayName": "<string>",
"displayOrder": 123,
"fulcrumPortalId": 123,
"fulcrumTimestamp": 123,
"hubspotDefined": true,
"name": "<string>"
}
],
"schema": {
"allowsSensitiveProperties": true,
"createDatePropertyName": "<string>",
"defaultSearchPropertyNames": [
"<string>"
],
"deleted": true,
"fullyQualifiedName": "<string>",
"hasCustomProperties": true,
"hasDefaultProperties": true,
"hasExternalObjectIds": true,
"hasOwners": true,
"hasPipelines": true,
"id": 123,
"indexedForFiltersAndReports": true,
"lastModifiedPropertyName": "<string>",
"metaType": "CMS_HUBDB",
"metaTypeId": 123,
"name": "<string>",
"objectTypeId": "<string>",
"objectTypeIdString": "<string>",
"permissioningType": "ALL_OR_NONE",
"pipelinePropertyName": "<string>",
"pipelineStagePropertyName": "<string>",
"requiredProperties": [
"<string>"
],
"restorable": true,
"scopeMappings": [
{
"accessLevel": "ALL",
"requestAction": "COMMUNICATE",
"scopeName": "<string>"
}
],
"secondaryDisplayLabelPropertyNames": [
"<string>"
],
"accessScopeName": "<string>",
"createdAt": 123,
"description": "<string>",
"integrationAppId": 123,
"janusGroup": "<string>",
"ownerPortalId": 123,
"pipelineCloseDatePropertyName": "<string>",
"pipelineTimeToClosePropertyName": "<string>",
"pluralForm": "<string>",
"primaryDisplayLabelPropertyName": "<string>",
"readScopeName": "<string>",
"singularForm": "<string>",
"status": "Deprecated",
"visibilities": [
"Customer-facing"
],
"visibility": "Customer-facing",
"writeScopeName": "<string>"
}
}{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}Get object types for a supported media
Rufen Sie die Objektdefinitionen für einen bestimmten Medientyp innerhalb einer App ab. Dieser Endpunkt ermöglicht Ihnen den Zugriff auf die Einstellungen bezüglich der Objektdefinitionen verschiedener Medientypen wie VIDEO, AUDIO, DOCUMENT, OTHER und IMAGE. Dies ist nützlich, um die Struktur und Eigenschaften zu verstehen, die verschiedenen Medientypen in Ihrer Anwendung zugeordnet sind.
Supported products
Supported products
Autorisierungen
The access token received from the authorization server in the OAuth 2.0 flow.
Pfadparameter
Die eindeutige ID der App, für die die Objektdefinitionen abgerufen werden.
Der Medientyp, für den die Objektdefinitionen abgerufen werden. Gültige Werte sind VIDEO, AUDIO, DOCUMENT, OTHER und IMAGE.
AUDIO, DOCUMENT, IMAGE, OTHER, VIDEO Abfrageparameter
Ein boolescher Wert, der angibt, ob die vollständige Definition des Objekts enthalten sein soll. Wenn „true“, enthält die Antwort detailliertere Informationen.
Antwort
successful operation
Eine Zeichenfolge, die die eindeutige ID für den Objekttyp darstellt.
Eine Zeichenfolge, die den Namen des Objekttyps darstellt.
Ein Array von Eigenschaften, die zum Objekttyp gehören und jeweils spezifische Attribute des Objekts definieren.
Show child attributes
Show child attributes
Ein Array von Eigenschaftsgruppen, die dem Objekttyp zugeordnet sind und detailliert beschreiben, wie Eigenschaften gruppiert werden.
Show child attributes
Show child attributes
Show child attributes
Show child attributes